import { Pipe, PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Pipe({
  name: 'bool'
})
export class BoolPipe implements PipeTransform {

  constructor(
    private translate: TranslateService
  ) {}

  transform(value: boolean): string {
    if (value === true) {
      return this.translate.instant('common.bool_as_string.true');
    }
  
    return this.translate.instant('common.bool_as_string.false');
  }

}
